Bug 1416699 - Error: Will not install a source rpm package
Summary: Error: Will not install a source rpm package
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 26
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 09:35 UTC by Jiri Konecny
Modified: 2017-05-09 21:24 UTC (History)
7 users (show)

Fixed In Version: dnf-2.2.0-1.fc26 dnf-2.4.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-09 21:24:22 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugdata.tar.gz (5.22 MB, application/x-gzip)
2017-01-26 12:04 UTC, Jiri Konecny
no flags Details
dnf dump (2.36 KB, text/plain)
2017-01-26 14:17 UTC, Jiri Konecny
no flags Details
dump variables (48 bytes, text/plain)
2017-01-26 14:18 UTC, Jiri Konecny
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Github openSUSE libsolv issues 176 None None None Never

Description Jiri Konecny 2017-01-26 09:35:13 UTC
Description of problem:
We have the COPR repository vtrefny/rhinstaller with the package pykickstart. This package can't be installed on Rawhide and I'm getting this error message:

Error: Will not install a source rpm package (pykickstart-2.33-2.20161118gitc278e56e.fc26.src).

However the RPM package is there and even when it won't be there it should fallback to Rawhide's version of the package.

This is blocker for our unit tests.


Version-Release number of selected component (if applicable):
dnf-0:2.0.0-2.fc26.noarch
rpm-0:4.13.0-11.fc26.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install a Rawhide machine
2. dnf copr enable vtrefny/rhinstaller
3. dnf install pykickstart

Actual results:
The installation stops with error message:
Error: Will not install a source rpm package

Expected results:
The installation should continue or it should print a message about broken package and skip to Rawhide's version.

Comment 1 Igor Gnatenko 2017-01-26 09:37:07 UTC
dnf install pykickstart --debugsolver

and attach "debugdata" directory.

Comment 2 Jiri Konecny 2017-01-26 12:04 UTC
Created attachment 1244757 [details]
debugdata.tar.gz

I'm attaching debugdata.tar.gz archive.

Comment 3 Igor Gnatenko 2017-01-26 12:12:15 UTC
okay, thanks...

job install oneof pykickstart-2.33-2.20161118gitc278e56e.fc26.noarch@vtrefny-rhinstaller pykickstart-2.33-2.20161118gitc278e56e.fc26.src@vtrefny-rhinstaller pykickstart-2.33-2.fc26.noarch@rawhide [setevr,setarch]


Can you provide output of `dnf config-manager --dump` and `dnf config-manager --dump-variables` ?

Comment 4 Igor Gnatenko 2017-01-26 12:27:38 UTC
I don't think it's bug in libsolv, but anyway filed it to be sure.

Comment 5 Jiri Konecny 2017-01-26 14:17 UTC
Created attachment 1244786 [details]
dnf dump

Comment 6 Jiri Konecny 2017-01-26 14:18 UTC
Created attachment 1244787 [details]
dump variables

Comment 7 Jiri Konecny 2017-01-26 14:22:00 UTC
I've attached output from `dnf config-manager --dump` and `dnf config-manager --dump-variables`.

Comment 9 Honza Silhan 2017-01-30 13:37:12 UTC
This is planned to be fixed within the next month.

Comment 11 Kevin Fenzi 2017-02-23 00:00:57 UTC
This seems to be hitting all the i386 image composes in rawhide right now. ;(

Comment 12 Fedora End Of Life 2017-02-28 11:03:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 13 Jaroslav Mracek 2017-03-03 15:15:53 UTC
I created a pull-request that should solve the issue: https://github.com/rpm-software-management/dnf/pull/755

Comment 14 Fedora Update System 2017-03-21 12:07:44 UTC
dnf-2.1.1-1.fc26 libdnf-0.8.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b

Comment 15 Fedora Update System 2017-03-21 14:27:12 UTC
dnf-2.1.1-1.1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b

Comment 16 Fedora Update System 2017-03-27 19:20:45 UTC
dnf-2.2.0-1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65586fa42b

Comment 17 Fedora Update System 2017-04-01 17:21:45 UTC
dnf-2.2.0-1.fc26, libdnf-0.8.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Thanos Apostolou 2017-05-05 09:06:12 UTC
I'm still experiencing this problem on fedora 26 with dnf 2.4.0-1.fc26. If I use my copr repository here: https://copr.fedorainfracloud.org/coprs/thanosapostolou/ns2-nam-xgraph/ I can install successfully otcl, tclcl and xgraph but when I try to install ns2 or nam I get the error:

sudo dnf install ns2
Last metadata expiration check: 0:01:38 ago on Fri May 05 12:01:20 2017 EEST.
Error: Will not install a source rpm package (ns2-2.35-1.fc26.src).

Comment 19 Thanos Apostolou 2017-05-05 10:06:26 UTC
It turned out that it was my fault because I had a broken library on otcl which ns2 couldn't find. When I tried to install ns2 with yumex-dnf then it told me about this library wasn't provided by any package. I believe that `dnf install` should give a better message instead of trying to install a src.rpm.

Comment 20 Fedora Update System 2017-05-05 11:05:05 UTC
dnf-2.4.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-779402efdd

Comment 21 Fedora Update System 2017-05-05 22:38:41 UTC
dnf-2.4.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-779402efdd

Comment 22 Fedora Update System 2017-05-09 21:24:22 UTC
dnf-2.4.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.